package com.dcsoft.system.kq.domain;


import com.dcsoft.common.core.annotation.Excel;
import com.dcsoft.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.ArrayList;
import java.util.List;

/**
 * 考勤班次对象 kq_classes
 *
 * @author dcsoft
 * @date 2023-01-06
 */
public class KqClasses extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 班次id */
    private Long classesId;

    /** 班次名称 */
    @Excel(name = "班次名称")
    private String classesName;

    /** 一天几次上下班 */
    @Excel(name = "一天几次上下班")
    private Long classesNum;

    /** 合计工作时长 */
    @Excel(name = "合计工作时长")
    private Long classesLong;

    @Excel(name = "上班最多可晚到")
    private Long laterTime;

    @Excel(name = "上班最多可早走")
    private Long earlyTime;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    private Long deptId;


    private String isDay;


    private String minUpTime;

    private String maxDownTime;


    private List<KqClassesItem> item=new ArrayList<KqClassesItem>();

    public String getIsDay() {
        return isDay;
    }

    public void setIsDay(String isDay) {
        this.isDay = isDay;
    }

    public void setClassesId(Long classesId)
    {
        this.classesId = classesId;
    }

    public Long getClassesId()
    {
        return classesId;
    }
    public void setClassesName(String classesName)
    {
        this.classesName = classesName;
    }

    public String getClassesName()
    {
        return classesName;
    }
    public void setClassesNum(Long classesNum)
    {
        this.classesNum = classesNum;
    }

    public Long getClassesNum()
    {
        return classesNum;
    }
    public void setClassesLong(Long classesLong)
    {
        this.classesLong = classesLong;
    }

    public Long getClassesLong()
    {
        return classesLong;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public Long getLaterTime() {
        return laterTime;
    }

    public void setLaterTime(Long laterTime) {
        this.laterTime = laterTime;
    }

    public Long getEarlyTime() {
        return earlyTime;
    }

    public void setEarlyTime(Long earlyTime) {
        this.earlyTime = earlyTime;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public List<KqClassesItem> getItem() {
        return item;
    }

    public void setItem(List<KqClassesItem> item) {
        this.item = item;
    }

    public String getMinUpTime() {
        return minUpTime;
    }

    public void setMinUpTime(String minUpTime) {
        this.minUpTime = minUpTime;
    }

    public String getMaxDownTime() {
        return maxDownTime;
    }

    public void setMaxDownTime(String maxDownTime) {
        this.maxDownTime = maxDownTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("classesId", getClassesId())
            .append("classesName", getClassesName())
            .append("classesNum", getClassesNum())
            .append("classesLong", getClassesLong())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
